# BindingManagerBase

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Manages all [Binding](/api/wisej.web/data-binding/wisej.web.binding.md) objects that are bound to the same data source and data member.

{% tabs %}
{% tab title="C#" %}

```csharp
public class BindingManagerBase
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class BindingManagerBase
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Bindings

[BindingsCollection](/api/wisej.web/data-binding/wisej.web.bindingscollection.md): Returns the collection of bindings being managed.

### ![](/files/hsR4ok3152WyAf8J2C1u) Count

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the number of items in the list.

### ![](/files/hsR4ok3152WyAf8J2C1u) Current

[Object](https://docs.microsoft.com/dotnet/api/system.object): Returns the current item in the list.

### ![](/files/hsR4ok3152WyAf8J2C1u) IsBindingSuspended

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns whether binding is suspended.

### ![](/files/hsR4ok3152WyAf8J2C1u) Position

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the position of the data binding source within the list.

## Methods

### ![](/files/hsR4ok3152WyAf8J2C1u) AddNew()

Adds a new item to the underlying list.

**Throws:**

* [NotSupportedException](https://docs.microsoft.com/dotnet/api/system.notsupportedexception) The underlying data source does not implement [IBindingList](https://docs.microsoft.com/dotnet/api/system.componentmodel.ibindinglist), or the data source has thrown an exception because the user has attempted to add a row to a read-only or fixed-size [DataView](https://docs.microsoft.com/dotnet/api/system.data.dataview).

### ![](/files/hsR4ok3152WyAf8J2C1u) CancelCurrentEdit()

Cancels the current edit operation.

### ![](/files/hsR4ok3152WyAf8J2C1u) EndCurrentEdit()

Ends the current edit operation.

### ![](/files/hsR4ok3152WyAf8J2C1u) GetItemProperties()

Returns the property descriptor collection for the underlying list.

**Returns:** [PropertyDescriptorCollection](https://docs.microsoft.com/dotnet/api/system.componentmodel.propertydescriptorcollection). A [PropertyDescriptorCollection](https://docs.microsoft.com/dotnet/api/system.componentmodel.propertydescriptorcollection) for the list.

### ![](/files/hsR4ok3152WyAf8J2C1u) RemoveAt(index)

Removes the item at the specified index.

| Parameter | Type                                                        | Description                                    |
| --------- | ----------------------------------------------------------- | ---------------------------------------------- |
| **index** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32) | The index of the item to remove from the list. |

**Throws:**

* [IndexOutOfRangeException](https://docs.microsoft.com/dotnet/api/system.indexoutofrangeexception) There is no row at the specified *index* .

### ![](/files/hsR4ok3152WyAf8J2C1u) ResetCurrentItem()

Causes a control bound to this data source to re-read the current item and refresh the displayed value.

### ![](/files/hsR4ok3152WyAf8J2C1u) ResetItem(itemIndex)

Causes a control bound to this data source to re-read the item at the specified *itemIndex* and refresh the displayed value.

| Parameter     | Type                                                        | Description                             |
| ------------- | ----------------------------------------------------------- | --------------------------------------- |
| **itemIndex** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32) | The index of the item that has changed. |

### ![](/files/hsR4ok3152WyAf8J2C1u) ResumeBinding()

Resumes data binding.

### ![](/files/hsR4ok3152WyAf8J2C1u) SuspendBinding()

Suspends data binding to prevents changes from updating the bound data source.

### ![](/files/hsR4ok3152WyAf8J2C1u) UpdateBindings()

Reads the current values from the data source and sends them to the control.

## Events

### ![](/files/hsR4ok3152WyAf8J2C1u) BindingComplete

[BindingCompleteEventHandler](/api/wisej.web/data-binding/wisej.web.bindingcompleteeventhandler.md) Fired at the completion of a data-binding operation.

### ![](/files/hsR4ok3152WyAf8J2C1u) CurrentChanged

[EventHandler](https://docs.microsoft.com/dotnet/api/system.eventhandler) Fired when the currently bound item changes.

### ![](/files/hsR4ok3152WyAf8J2C1u) CurrentItemChanged

[EventHandler](https://docs.microsoft.com/dotnet/api/system.eventhandler) Fired when the state of the currently bound item changes.

### ![](/files/hsR4ok3152WyAf8J2C1u) DataError

[BindingManagerDataErrorEventHandler](/api/wisej.web/data-binding/wisej.web.bindingmanagerdataerroreventhandler.md) Fired when an [Exception](https://docs.microsoft.com/dotnet/api/system.exception) is silently handled by the [BindingManagerBase](/api/wisej.web/data-binding/wisej.web.bindingmanagerbase.md).

### ![](/files/hsR4ok3152WyAf8J2C1u) PositionChanged

[EventHandler](https://docs.microsoft.com/dotnet/api/system.eventhandler) Fired after the value of the [Position](#position) property has changed.

## Inherited By

| Name                                                                        | Description                                                                                                                             |
| --------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| [CurrencyManager](/api/wisej.web/data-binding/wisej.web.currencymanager.md) | Keeps data-bound controls synchronized with each other: showing data from the same record.                                              |
| [PropertyManager](/api/wisej.web/data-binding/wisej.web.propertymanager.md) | Maintains a [Binding](/api/wisej.web/data-binding/wisej.web.binding.md) between an object's property and a data-bound control property. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/data-binding/wisej.web.bindingmanagerbase.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
